Package ru.bitel.oss.kernel.directories.address.server.bean

# Class AbstractAddressDao<B extends Id>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<B>
ru.bitel.common.dao.AbstractDirectoryIdDao<B>
ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao<B>

All Implemented Interfaces:
  `AutoCloseable`, `Directory<B>`

Direct Known Subclasses:
  `AreaDao`, `CityDao`, `CountryDao`, `HouseDao`, `QuarterDao`, `StreetDao`

public abstract class AbstractAddressDao<B extends Id> extends ru.bitel.common.dao.AbstractDirectoryIdDao<B>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractAddressDao(Connection con, String tableName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteRows()`
  `protected B`
  `get(String filter, Object... params)`
  `protected B`
  `getBaseFromRS(ResultSet rs)`
  `protected final int`
  `getEntityCount(int id, String fieldName)`
  `protected String`
  `getQuery()`
  `protected abstract B`
  `newBean()`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDirectoryIdDao

  `deleteDirectoryItem, directoryItems, getDirectoryItem, getDirectoryItem, updateDirectoryItem`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, getById, getFromRS, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update, updateImpl`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `optDirectoryItem`

- ## Constructor Details

  - ### AbstractAddressDao

    public AbstractAddressDao(Connection con, String tableName)

- ## Method Details

  - ### newBean

    protected abstract B newBean()

  - ### getBaseFromRS

    protected B getBaseFromRS(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### deleteRows

    public void deleteRows() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEntityCount

    protected final int getEntityCount(int id, String fieldName) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getQuery

    protected String getQuery()

  - ### get

    protected B get(String filter, Object... params) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `get` in class `ru.bitel.common.dao.AbstractDao<B extends Id>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`